Create Ticket
POST /tickets/
URL Example
https://system_domain/api/v2/tickets/
Request Body Parameters (JSON)
| Parameter | Type | Required | Description |
|---|---|---|---|
pid | number | No | ID of the parent ticket |
title | string | Yes | Ticket subject (title) |
description | string | Yes | Ticket description |
sla_date | string | No | SLA date and time (DD.MM.YYYY HH:MM) |
status_id | string | No | Ticket status ID |
priority_id | number | No | Ticket priority ID |
type_id | number | No | Ticket type ID |
department_id | number | No | Ticket department ID |
ticket_lock | number boolean | No | Ticket lock (true or 1 - locked, false or 0 - unlocked); Default: false |
owner_id | number | No | ID of the ticket assignee |
user_id | number | No | ID of the ticket owner (client) |
user_email | string | No | Client email. If user_id is not specified, the ticket is created using the provided email. If a user with this email does not exist, they are created automatically |
cc | array | No | Recipients of email copies |
bcc | array | No | Recipients of blind email copies |
followers | array | No | List of users following the ticket; user type must be 'staff' |
create_from_user | number boolean | No | First response in the ticket on behalf of the client - 1 or true;On behalf of staff - 0 or false;Default value - 1 |
custom_fields | object | No | Custom ticket fields |
tags | array | No | List of tag names |
files | array | No | List of files (only for form-data) |
Request Body Example (JSON)
{
"pid": "1",
"title": "Test Ticket",
"description": "Ticket Description",
"sla_date": "01.01.2026 00:00", // use "" for empty value
"status_id": "open",
"priority_id": 1,
"type_id": 1,
"department_id": 1,
"ticket_lock": false,
"owner_id": 1, // use "" for empty value
"user_id": 1,
"followers": [1], // use [] for empty value
"create_from_user": 1,
"custom_fields": {
"96": "Field value of type (Text Field)", // Example for field type "Text Field" (ID = 96), use "" for empty value
"97": "Field value of type (Text Area)", // Example for field type "Text Area" (ID = 97), use "" for empty value
"98": "1", // Example for field type "Number Field" (ID = 98), use "" for empty value
"99": "192", // Example for field type "Dropdown List" (ID = 99), specify ID of the field value, use "" for empty value
"100": { // Example for field type "Related Fields" (ID = 100)
"1": 198, // ID field value of the first level
"2": 204 // ID field value of the second level
},
// "100": {
// "1": 0, // Structure for specifying empty value for "Related Fields" type
// },
"101": "01.01.2027", // Example for field type "Date" (ID = 101), use "" for empty value
"102": "09:00", // Example for field type "Time" (ID = 102), use "" for empty value
"103": "[email protected]", // Example for field type "Regular Expression" (ID = 103), use "" for empty value
"104": "1", // Example for field type "Checkbox" (ID = 104), use "" for empty value
"105": "1", // Example for field type "Button" (ID = 105), use "" for empty value
"106": "45928" // Example for field type "Multi Button" (ID = 106), specify ID of the field value, use "" for empty value
},
"tags": [1, 2] // use [] for empty value
}
Response Example
{
"data": {
"id": 2,
"pid": 1,
"unique_id": "ABC-124",
"date_created": "2025-11-21 09:40:47",
"date_updated": "2025-11-21 10:33:34",
"title": "Test Ticket",
"source": "system",
"status_id": "open",
"priority_id": 1,
"type_id": 1,
"department_id": 1,
"department_name": "Support Department",
"owner_id": 1,
"owner_name": "Administrator",
"owner_lastname": "",
"user_id": 1,
"user_name": "user1",
"user_lastname": "",
"cc": [
],
"bcc": [
],
"followers": [
1
],
"ticket_lock": 0,
"sla_date": "01.01.2026 00:00",
"sla_flag": 0,
"freeze_date": null,
"freeze": 0,
"viewed_by_staff": 1,
"viewed_by_client": 0,
"rate": "",
"rate_comment": "",
"rate_date": "",
"deleted": 0,
"custom_fields": [
{
"id": 96,
"field_type": "text",
"field_value": "Field value of type (Text Field)"
},
{
"id": 97,
"field_type": "textarea",
"field_value": "Field value of type (Text Area)"
},
{
"id": 98,
"field_type": "number",
"field_value": "1"
},
{
"id": 99,
"field_type": "select",
"field_value": {
"id": 192,
"name": {
"en": "Meaning 1",
"ru": "",
"ua": ""
}
}
},
{
"id": 100,
"field_type": "hierarchy",
"field_value": {
"1": {
"id": 198,
"name": {
"en": "First-level parent element",
"ru": "",
"ua": ""
}
},
"2": {
"id": 204,
"name": {
"en": "Second-level child element",
"ru": "",
"ua": ""
}
}
}
},
{
"id": 101,
"field_type": "date",
"field_value": "01.01.2027"
},
{
"id": 102,
"field_type": "time",
"field_value": "09:00"
},
{
"id": 103,
"field_type": "regex",
},
{
"id": 104,
"field_type": "checkbox",
"field_value": 1
},
{
"id": 105,
"field_type": "button",
"field_value": 1
},
{
"id": 106,
"field_type": "multi_button",
"field_value": {
"id": 45928,
"name": {
"en": "Meaning of button with ID 45928"
"ru": "",
"ua": ""
}
}
}
],
"tags": [
"1",
"2"
],
"jira_issues": []
}
}